%define		pypi_name PyICU
%define		module icu

Name:		python-%{module}
Version:	2.14
Release:	%mkrel 2
Summary:	Python extension wrapping the ICU C++ libraries
Group:		Development/Python
License:	MIT
URL:		https://pypi.org/project/PyICU/
Source0:	%{pypi_source}
Patch:      0001-icu-build-with-debug-symbols.patch
BuildRequires:	libicu-devel
BuildRequires:  python3-devel

#for tests
BuildRequires:  python3dist(funcsigs)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pluggy)
BuildRequires:  python3dist(attrs)
BuildRequires:  python3dist(py)
BuildRequires:  python3dist(six)

%description
PyICU is a python extension implemented in C++ that wraps the C/C++ ICU
library.

%package -n python3-%{module}
Summary:	Python 3 extension wrapping the ICU C++ libraries
Group:		Development/Python
%{?python_provide:%python_provide python3-%{module}}
%{?python_provide:%python_provide python3-pyicu}

%description -n python3-%{module}
PyICU is a python extension implemented in C++ that wraps the C/C++ ICU
library.

%prep
%autosetup -p1 -n pyicu-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%check
%pytest

%install
%pyproject_install

# Remove tests
rm -rf %{buildroot}%{python3_sitearch}/tests

%pyproject_save_files %{module}

%files -n python3-%{module} -f %{pyproject_files}
%license LICENSE
%doc README.md CHANGES CREDITS


%changelog
* Sun Jan 12 2025 wally <wally> 2.14-2.mga10
+ Revision: 2138340
- rebuild for icu 76.1

* Fri Jan 10 2025 papoteur <papoteur> 2.14-1.mga10
+ Revision: 2136995
- patch for build with debug symbols
- new version 2.14
- fix command for tests

* Thu Dec 28 2023 tv <tv> 2.11-1.mga10
+ Revision: 2023239
- 2.11
- Rebuild for python-3.12

* Thu Sep 28 2023 tv <tv> 2.10.2-2.mga10
+ Revision: 1992021
- Rebuild for icu-73

* Sun Jan 08 2023 wally <wally> 2.10.2-1.mga9
+ Revision: 1931361
- new version 2.10.2
+ squidf <squidf>
- Mass rebuild for icu 72.1

* Sun Jun 19 2022 wally <wally> 2.9-1.mga9
+ Revision: 1865089
- new version 2.9
+ squidf <squidf>
- rebuild for icu 71.1

* Sat Mar 19 2022 umeabot <umeabot> 2.7.4-3.mga9
+ Revision: 1799643
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 2.7.4-2.mga9
+ Revision: 1773518
- Rebuild for python-3.10

* Wed Aug 04 2021 luigiwalser <luigiwalser> 2.7.4-1.mga9
+ Revision: 1739294
- 2.7.4
- update summary and description
- rebuild for icu

* Sat Mar 20 2021 tv <tv> 2.6-2.mga9
+ Revision: 1705617
- rebuild for python-3.9.2

* Tue Dec 01 2020 luigiwalser <luigiwalser> 2.6-1.mga8
+ Revision: 1651177
- 2.6
- update URL
- 2.5
- rebuild for icu

* Wed Jul 01 2020 wally <wally> 2.3.1-6.mga8
+ Revision: 1601055
- rebuild for icu 67.1

* Sat Apr 04 2020 wally <wally> 2.3.1-5.mga8
+ Revision: 1564492
- rebuild for new icu 66.1

* Sun Feb 16 2020 umeabot <umeabot> 2.3.1-4.mga8
+ Revision: 1534620
- Mageia 8 Mass Rebuild

* Sat Oct 05 2019 daviddavid <daviddavid> 2.3.1-3.mga8
+ Revision: 1449462
- rebuild for new icu 65.1

* Wed Sep 11 2019 tv <tv> 2.3.1-2.mga8
+ Revision: 1439602
- rebuild for python-3.8

* Fri Aug 30 2019 wally <wally> 2.3.1-1.mga8
+ Revision: 1435659
- new version 2.3.1
- drop python2 support

* Mon Jan 07 2019 kekepower <kekepower> 2.2-2.mga7
+ Revision: 1350642
- Rebuild for Python 3.7

* Mon Dec 31 2018 tv <tv> 2.2-1.mga7
+ Revision: 1347318
- new release
+ luigiwalser <luigiwalser>
- rebuild for icu

* Sun Sep 23 2018 umeabot <umeabot> 2.0.6-2.mga7
+ Revision: 1300498
- Mageia 7 Mass Rebuild

* Mon Aug 20 2018 tv <tv> 2.0.6-1.mga7
+ Revision: 1252994
- disable testsuite for python2 as it fails
  (TODO: drop py2 package?)
- new release
- rebuild for new libicu

* Tue May 08 2018 daviddavid <daviddavid> 1.9.7-2.mga7
+ Revision: 1227722
- rename python-icu to python2-icu
- add BR python{2,3}-funcsigs
- use new python provides

* Sat Dec 30 2017 wally <wally> 1.9.7-1.mga7
+ Revision: 1187564
- new version 1.9.7
- rebuild for new icu

* Thu Aug 03 2017 tv <tv> 1.9.5-4.mga7
+ Revision: 1134516
- rebuild for new python

* Fri Mar 17 2017 akien <akien> 1.9.5-3.mga6
+ Revision: 1093383
- Running py3 tests before py2 apparently fixes them

* Wed Mar 15 2017 akien <akien> 1.9.5-2.mga6
+ Revision: 1092914
- Rebuild for icu-58.2

* Wed Mar 15 2017 akien <akien> 1.9.5-1.mga6
+ Revision: 1092913
- Version 1.9.5
- Disable tests for python 3, they do not run properly in our build env
  https://github.com/ovalhub/pyicu/issues/48
+ mrambo3501 <mrambo3501>
- Rebuild for icu-58.2

* Sat May 14 2016 tv <tv> 1.6-10.mga6
+ Revision: 1015485
- rebuild for new icu

* Fri Jan 01 2016 luigiwalser <luigiwalser> 1.6-9.mga6
+ Revision: 917917
- rebuild for icu

* Wed Oct 07 2015 tv <tv> 1.6-8.mga6
+ Revision: 886703
- rebuild for python 3.5

* Sat Jul 25 2015 tv <tv> 1.6-7.mga6
+ Revision: 857397
- disable a failling test
- rebuild for new libicu
+ cjw <cjw>
- rebuild for icu 55

* Wed Oct 15 2014 umeabot <umeabot> 1.6-5.mga5
+ Revision: 750194
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.6-4.mga5
+ Revision: 728738
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.6-3.mga5
+ Revision: 688085
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.6-2.mga5
+ Revision: 628711
- Rebuild for new Python

* Sun Apr 06 2014 wally <wally> 1.6-1.mga5
+ Revision: 612243
- new version 1.6
- add patch to update to upstream svn rev 220 to fix build with latest icu and other issues reported to upstream

* Tue Oct 22 2013 umeabot <umeabot> 1.5-6.mga4
+ Revision: 543561
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.5-5.mga4
+ Revision: 498722
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Sep 27 2013 philippem <philippem> 1.5-4.mga4
+ Revision: 488013
- correct the : we don't want to provide private python extension libs

* Thu Sep 26 2013 fwang <fwang> 1.5-3.mga4
+ Revision: 486823
- rebuild for icu 52

* Tue Sep 24 2013 philippem <philippem> 1.5-2.mga4
+ Revision: 485610
- add Python 3

* Fri Jun 28 2013 tv <tv> 1.5-1.mga4
+ Revision: 448123
- imported package python-icu


* Fri Jun 28 2013 Thierry Vignaud <tv@mageia.org> 1.5-1.mga4
- imported from FC

